Status:
Assignee:
Category:

Target version:
skyjake
Redesign
Modding

Start date:

2013-10-22
20%

Description

Doomsday Script should be integrated into all relevant subsystems.

e Console should allow executing scripts.

InFine should allow embedding scripts within the animation commands.

L

¢ XG should allow scripts for defining functionality instead of hard-coded line/sector classes.
¢ Definitions should allow embedded scripts (via Scriptedinfo).
[ ]
L]

Game objects/entities should allow thinkers implemented as script functions.

Ul logic and menu structure should be implemented as scripts.

Subtasks:
Feature # 1632: InFine 2.0 (on top of Doomsday Script) New
Feature # 1633: Console commands and Doomsday Script New
Feature # 1823: Subclassing in Doomsday Script Closed
Related issues:
Related to Feature #1197: Scriptable Ul Rejected 2003-06-17
Related to Feature #1153: Customizable intermissions New 2003-05-17
Related to Feature #1301: Redesigned DED Reader Progressed  2003-10-05
Related to Feature #1190: External scripts for mobj behavior Progressed 2003-06-15
Related to Feature #1208: Game extension plugins Rejected 2003-06-27
Related to Feature #1244: Scripting in model definitions (e.g., dependent on ... Closed 2003-07-20
Related to Feature #1264: Conditional decorations New 2003-08-12
Related to Feature #1331: [InFine] Evaluate cvars with IF condition New 2004-02-20
Related to Feature #1376: Externally spawned mobjs New 2005-04-02
Related to Feature #1447: Co-op player actions (giving, healing) New 2007-05-24
Related to Feature #1465: [XG] "Player needs object X" message New 2008-07-05
Related to Feature #1556: [InFine] Randomized placement/selection Closed 2012-03-26
Related to Feature #1620: XG 2.0 Progressed  2010-04-20
Related to Feature #1970: Scriptable map entry/exit, cycling New 2015-02-11
Related to Feature #2352: [Heretic] Scripted touch action for special things Closed 2019-11-16
Related to Feature #1389: [InFine] Check if resource originates from an IWAD New 2005-10-13
Related to Feature #1699: Particle renderer 2.0 New 2014-01-03
Related to Feature #1394: Consistent map scoping in definitions New 2005-11-06
Related to Feature #2374: "On death" script to run when a thing is killed Closed 2019-12-21
History
#1 - 2013-10-20 08:44 - skyjake
- Tracker changed from Bug to Feature
#2 - 2014-09-08 08:31 - skyjake
- Related to deleted (Feature #1630: Implement game menus with InFine (InfineWidget))
#3 - 2015-02-11 17:51 - skyjake
- Related to Feature #1970: Scriptable map entry/exit, cycling added
#4 - 2016-07-06 00:08 - skyjake
- Status changed from In Progress to Progressed

- % Done changed from 33 to 0

#5 - 2016-08-09 11:05 - skyjake

- Target version set to Modding

#6 - 2018-11-05 08:50 - skyjake
- % Done changed from 0 to 20

#7 - 2019-11-16 21:52 - skyjake
- Related to Feature #2352: [Heretic] Scripted touch action for special things added

#8 - 2019-11-29 18:38 - skyjake
- Related to Feature #1389: [InFine] Check if resource originates from an IWAD added

#9 - 2019-11-29 18:42 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added

#10 - 2019-11-29 21:25 - skyjake

- Related to Feature #1394: Consistent map scoping in definitions added

#11 - 2019-12-21 12:18 - skyjake
- Related to Feature #2374: "On death" script to run when a thing is killed added
